Bug 1683812 - linking to gnutls fails with undefined reference to `_idn2_punycode_decode@IDN2_0.0.0'
Summary: linking to gnutls fails with undefined reference to `_idn2_punycode_decode@ID...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: gnutls30
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jan Včelák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-27 21:18 UTC by Tim Crawford
Modified: 2019-03-04 01:54 UTC (History)
3 users (show)

Fixed In Version: gnutls30-3.5.19-2.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-04 01:54:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Tim Crawford 2019-02-27 21:18:06 UTC
The recently published libidn2-2.1.1a-1.el6 breaks linking with gnutls30-3.5.19-1.el6.

Steps to Reproduce:
1. Update to libidn2-2.1.1a-1.el6
2. Link a program to gnutls30: gcc -L/usr/lib64/gnutls30 -lgnutls -o main main.c

Actual results:
/usr/lib64/gnutls30/libgnutls.so: undefined reference to `_idn2_punycode_decode@IDN2_0.0.0'

Expected results:
Compile+link is successful

Comment 1 Neal Gompa 2019-03-01 00:20:51 UTC
PR submitted to fix the issue: https://src.fedoraproject.org/rpms/gnutls30/pull-request/1

Comment 2 Fedora Update System 2019-03-01 22:40:00 UTC
gnutls30-3.5.19-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-4935fccf81

Comment 3 Fedora Update System 2019-03-03 01:16:01 UTC
gnutls30-3.5.19-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-4935fccf81

Comment 4 Fedora Update System 2019-03-04 01:54:48 UTC
gnutls30-3.5.19-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.